=== doc/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

install(FILES
  pekwm.1
  DESTINATION share/man/man1)
