=== contrib/lobo/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
