=== data/themes/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

add_subdirectory(default)
add_subdirectory(default-plain)
add_subdirectory(pion)
