=== data/themes/pion/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

install(FILES
  theme
  DESTINATION share/pekwm/themes/pion)
