## pekwm 0.1.12

=== debian/changelog ===
pekwm (0.1.12-1) unstable; urgency=low

  * New upstream release.
  * Remove debian/patches/autotools-dev-update-config-guess.diff.
  * Remove debian/patches/call-mktemp-with-proper-number-of-X.diff:
    Applied by upstream.

 -- Daniel Moerner <dmoerner@gmail.com>  Fri, 16 Apr 2010 23:39:57 -0700

pekwm (0.1.11-3) unstable; urgency=low

  * Finish conversion to dpkg-source 3.0 (quilt) by adding proper series
    file.

 -- Daniel Moerner <dmoerner@gmail.com>  Thu, 04 Mar 2010 00:02:37 -0800

pekwm (0.1.11-2) unstable; urgency=low

  * Convert to dpkg-source 3.0 (quilt).
  * debian/control:
    - Build-Depend on libjpeg-dev and libpng-dev virtual packages, this
      fixes the JPEG 8 transition.
    - Bump to Debian Policy 3.8.4.

 -- Daniel Moerner <dmoerner@gmail.com>  Wed, 24 Feb 2010 18:27:26 -0800

pekwm (0.1.11-1) unstable; urgency=low

  * New Upstream Version
    - debian/patches/properly-handle-nullglob-in-themes-script.diff:
      Removed, integrated upstream.
    - debian/patches/make-empty-themes-dir-in-home-dir-on-first-run.diff:
      Removed, integrated upsteam.
    - debian/patches/call-mktemp-with-proper-number-of-X.diff:
      Versions 1.6-2 of mktemp and newer must be called with at least six 
      X's in the name of the temp file. This patch fixes pekwm_themeset.sh
      so it follows this change.
  * debian/watch: Fix to work with new upstream website layout. 
  * debian/copyright: Update to 2009 copyrights and point to GPL-2.
  * debian/control: Bump to 3.8.1 Standards Version, add DM-Upload-Allowed.
  * debian/rules: Remove deprecated dh_desktop call.
  
 -- Daniel Moerner <dmoerner@gmail.com>  Mon, 25 May 2009 21:40:21 -0700

pekwm (0.1.10-1) unstable; urgency=low

  * New Upstream Version
    - debian/patches/properly-handle-nullglob-in-themes-script.diff: Don't 
      output '*' as a theme name if theme directory is empty or display 
      arbitrary non-directories in theme menu. Patch written by me and 
      integrated in upstream git.
    - debian/patches/make-empty-themes-dir-in-home-dir-on-first-run.diff:
      Make empty ~/.pekwm/themes directory on first run if it doesn't 
      already exist, preventing an ugly error message using default menu
      configuration. Patch written by me and integrated in upstream git.
  * Added Homepage, Vcs-Git, and Vcs-Browser fields to debian/control.
  * Updated Upstream Authors field in debian/copyright.
  * Updated Build-Depends to point at libpng2-dev and libjpeg62-dev instead
    of non-existent libpng-dev and libjpeg-dev packages.
  * contrib/ scripts are now installed in /usr/share/pekwm and documented in
    README.Debian. Added zenity to Suggests to support new contrib scripts.
  * Removed obsolete debian/NEWS
  
 -- Daniel Moerner <dmoerner@gmail.com>  Fri, 30 Jan 2009 15:23:24 -0800

pekwm (0.1.9a-1) unstable; urgency=low

  * New Upstream Version
  * Removed include-cstdio-for-gcc-4.4.diff as it has been forwarded and
    now integrated upstream.
  * Add quilt patch description to satisfy lintian. 

 -- Daniel Moerner <dmoerner@gmail.com>  Tue, 23 Dec 2008 21:00:09 -0800

pekwm (0.1.8-2) unstable; urgency=low

  * Use dh_prep instead of dh_clean -k in debian/rules 
  * include-stdio-for-gcc-4.4.diff: Properly include cstdio so it isn't
    just included indirectly. (Closes: #505590)

 -- Daniel Moerner <dmoerner@gmail.com>  Thu, 13 Nov 2008 14:52:25 -0800

pekwm (0.1.8-1) unstable; urgency=low

  * New Upstream Version
  * Removed as integrated upstream:
    - 01-give-manpage-name-section.dpatch 
    - 02-use-minus-not-hyphen.dpatch
    - 04-use-x-terminal-emulator-as-term.dpatch (removed manpage changes)
  * debian/pekwm.menu-method: Remove trailing } from debian-menu.  Many
    thanks to Julien Rivaud for the patch. (Closes: #503545)
  * Switched to quilt to manage patching

 -- Daniel Moerner <dmoerner@gmail.com>  Sun, 02 Nov 2008 09:51:29 -0800

pekwm (0.1.7-3) unstable; urgency=low

  * Added debian/wm and removed postinst calls: dh_installwm and
    dh_installmenu do this for us.
  * Clean up debian/rules, switch to debhelper compat 7
  * Removed superfluous debian/dirs
  * Added debian/install to install .desktop file
  * Added debian/README.source to fulfill Policy 4.14
  * Added 04-use-x-terminal-emulator-as-term.dpatch
  * debian/pekwm.menu-method: 
    - Properly escape quotes (Closes: #503107)
    - Fix typo that results in extra "=" in submenus (Closes: #503187)
    - Install into debian-menu file; only generate applications list
  * Add 05-make-new-default-menu.dpatch: dynamically create menu from
    debian-menu file. (Closes: #503041)
  * debian/pekwm.prerm: Remove /etc/pekwm/debian-menu to allow purge
  * Added debian/NEWS: Upgrades from 0.1.7-2 will not update the menu.

 -- Daniel Moerner <dmoerner@gmail.com>  Thu, 23 Oct 2008 11:57:24 -0700

pekwm (0.1.7-2) unstable; urgency=low

  * Added libxinerama-dev as a Build-Depends so --enable-xinerama
    actually works.  (LP: #131302)
  * Added autotools-dev as a Build-Depends so updates of config.guess work
  * Added debian/pekwm.menu-method, Depends: menu, and removed patch 
    to original menu for xterm: Many thanks to Paolo D'Emilio for providing 
    a sample pekwm file.
  * Added postinst and prerm scripts to handle alternatives and update-menu
  * Fix Lintian problems:
    - Added debian/watch
    - 02-use-minus-not-hyphen.dpatch: Really escape minuses in manpage 
    - 03-autotools-dev-update-config-guess.dpatch: Keep config files out 
      of diff. This also fixes a nasty bug with vcs-managed packaging.

 -- Daniel Moerner <dmoerner@gmail.com>  Thu, 18 Sep 2008 14:41:03 -0700

pekwm (0.1.7-1) unstable; urgency=low

  * New upstream release (Closes: #445447) 
  * New maintainer
  * Removed TODO from debian/docs so it builds from source in new version.
  * Added Depends on x11-utils for xprop (Closes: #493827)
  * Added dpatch to manage manpage changes
  * 01-use-x-terminal-emulator.dpatch (Closes: #493827)
  * Fixed lintian warnings:

