=== debian/control ===
Source: pekwm
Section: x11
Priority: optional
Maintainer: Daniel Moerner <dmoerner@gmail.com>
Build-Depends: debhelper (>= 7), libx11-dev, libxpm-dev, libxrandr-dev, libxft-dev, libpng-dev, libjpeg-dev, libxinerama-dev, autotools-dev
Standards-Version: 3.8.4
Vcs-Git: git://git.debian.org/git/collab-maint/pekwm.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/pekwm.git
Homepage: http://pekwm.org/projects/pekwm
DM-Upload-Allowed: yes

Package: pekwm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, x11-utils, menu
Suggests: zenity
Provides: x-window-manager
Description: Fast & Light Window Manager
 The Pek Window Manager is written by Claes Nästen,
 the code is based on the aewm++ window manager,
 but it has evolved enough that it no longer resembles aewm++ at all.
 It has a much expanded feature-set, including window grouping
 (similar to ion, pwm, or fluxbox), autoproperties, xinerama,
 keygrabber that supports keychains, and much more.
