=== debian/watch ===
version=3

http://pekwm.org/projects/pekwm/ \
	/projects/pekwm/files/pekwm-(.*)\.tar\.gz
