## pekwm 0.1.13

=== debian/changelog ===
pekwm (0.1.13-1) unstable; urgency=low

  * New upstream release (Closes: #636142).
  * debian/changelog
    - Remove EOL whitespaces.
  * debian/copyright
    - Update to DEP 5.
  * debian/compat
    - Update to 8.
  * debian/control
    - (Build-Depends): debhelper 8.
    - (Description): update first line.
    - (Maintainer): Change to correct address.
    - (Standards-Version): Update to 3.9.2.
  * debian/patches
    - (10): New. Modeled after old patch.
    - (20): Rename and refresh with git headers (DEP 3).
    - (make-new-default-menu): Remove, doesn't apply.
  * debian/pekwm.menu-method
    - Remove EOL whitespaces.
  * debian/pekwm.desktop
    - (Encoding): Remove. UTF-8 is the default.
  * debian/rules
    - Rewrite to dh(1).
  * debian/watch
    - Update URL and regexp.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 20 Sep 2011 15:20:05 +0300

pekwm (0.1.12-2) unstable; urgency=low

  * New maintainer.

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 31 Oct 2010 12:50:09 +0200
