=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_configure:
	CFLAGS="$(CFLAGS) -Wl,-z,defs" ./configure \
	--host=$(DEB_HOST_GNU_TYPE) \
	--build=$(DEB_BUILD_GNU_TYPE) \
	--prefix=/usr \
	--mandir=\$${prefix}/share/man \
	--infodir=\$${prefix}/share/info \
	--sysconfdir=/etc/ \
	--enable-shape \
	--enable-xinerama \
	--enable-xrandr \
	--enable-xft \
	--enable-image-xpm \
	--enable-image-jpeg \
	--enable-image-png \
	--enable-menus \
	--enable-harbour

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/pekwm

	# Change permissions on start file
	chmod +x debian/pekwm/etc/pekwm/start

	# Manually install contrib README files to resolve name conflicts
	install --mode=644 -D contrib/lobo/README \
		debian/pekwm/usr/share/doc/pekwm/README.contrib.lobo

%:
	dh $@

# End of file
