## pekwm 0.1.14

=== debian/changelog ===
pekwm (0.1.14-1) unstable; urgency=low

  * New upstream release.
  * debian/compat
    - Update to 9
  * debian/control
    - (Build-Depends): update to debhelper 9, dpkg-dev 1.16.1.
  * debian/copyright
    - (debian/*): Update year.
  * debian/patches
    - (30): New. Support whitespace variations (partial fix to #644073).
  * debian/rules
    - Use hardened CXXFLAGS (release goal).
      http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 09 Feb 2012 15:06:33 -0500
