=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: Jari Aalto <jari.aalto@cante.net>
-Build-Depends: debhelper (>= 8), libx11-dev, libxpm-dev, libxrandr-dev, libxft-dev, libpng-dev, libjpeg-dev, libxinerama-dev, autotools-dev
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1), libx11-dev, libxpm-dev, libxrandr-dev, libxft-dev, libpng-dev, libjpeg-dev, libxinerama-dev, autotools-dev
 Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/collab-maint/pekwm.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/pekwm.git
