=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,13 @@
 #!/usr/bin/make -f
 
+include /usr/share/dpkg/buildflags.mk
+CXXFLAGS += -Wall -pedantic
+LDFLAGS	 += -Wl,--as-needed
+
 override_dh_auto_configure:
-	CFLAGS="$(CFLAGS) -Wl,-z,defs" ./configure \
+	CXXFLAGS="$(CXXFLAGS)" \
+	LDFLAGS="$(LDFLAGS)" \
+	./configure \
 	--host=$(DEB_HOST_GNU_TYPE) \
 	--build=$(DEB_BUILD_GNU_TYPE) \
 	--prefix=/usr \
@@ -14,9 +20,10 @@
 	--enable-xft \
 	--enable-image-xpm \
 	--enable-image-jpeg \
-	--enable-image-png \
-	--enable-menus \
-	--enable-harbour
+	--enable-image-png
+	# No longer in 0.1.13
+	# --enable-menus
+	# --enable-harbour
 
 override_dh_auto_install:
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/pekwm
