## pekwm 0.1.15

=== debian/changelog ===
pekwm (0.1.15-1) unstable; urgency=low

  * New upstream release
    - Correct theme change script (Closes: #644073).
  * debian/patches
    - (10): Refresh for current release.
    - (30): Remove theme fix; accepted upstream.

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 16 Sep 2012 16:52:23 +0300

pekwm (0.1.14-2) unstable; urgency=low

  * debian/control
    - (Build-Depends): Rm dpkg-dev; not needed with debhelper 9.
    - (Standards-Version): Update to 3.9.3.1.
  * debian/copyright
    - Update to format 1.0.
  * debian/rules
    - Enable all hardening flags.
    - Use DEB_*_MAINT_* variables.

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 23 Mar 2012 14:18:10 -0400
