## pekwm 0.1.17

=== debian/changelog ===
pekwm (0.1.17-1) unstable; urgency=low

  * New upstream release.
    - Fix infinite loop run on psuedocolor visual (Closes: #688001).
  * debian/control
    - (DM-Upload-Allowed): Remove. Obsolete.
    - (Standards-Version): Update to 3.9.4.
    - (Vcs-*): Update to anonscm.debian.org.
  * debian/copyright
    - List all Debian authors.
  * debian/patches
    - (10): refresh.

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 27 Jun 2013 14:13:31 +0300
