=== debian/control ===
--- 
+++ 
@@ -2,12 +2,11 @@
 Section: x11
 Priority: optional
 Maintainer: Jari Aalto <jari.aalto@cante.net>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1), libx11-dev, libxpm-dev, libxrandr-dev, libxft-dev, libpng-dev, libjpeg-dev, libxinerama-dev, autotools-dev
-Standards-Version: 3.9.2
-Vcs-Git: git://git.debian.org/git/collab-maint/pekwm.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/pekwm.git
+Build-Depends: debhelper (>= 9), libx11-dev, libxpm-dev, libxrandr-dev, libxft-dev, libpng-dev, libjpeg-dev, libxinerama-dev, autotools-dev
+Standards-Version: 3.9.4
+Vcs-Git: git://anonscm.debian.org/collab-maint/pekwm.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pekwm.git
 Homepage: http://pekwm.org/projects/pekwm
-DM-Upload-Allowed: yes
 
 Package: pekwm
 Architecture: any
