=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,11 @@
 #!/usr/bin/make -f
 
-include /usr/share/dpkg/buildflags.mk
-CXXFLAGS += -Wall -pedantic
-LDFLAGS	 += -Wl,--as-needed
+export DEB_BUILD_MAINT_OPTIONS	= hardening=+all
+export DEB_CFLAGS_MAINT_APPEND	= -Wall -pedantic
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 override_dh_auto_configure:
-	CXXFLAGS="$(CXXFLAGS)" \
+	CXXFLAGS="$(CFLAGS) $(CPPFLAGS)" \
 	LDFLAGS="$(LDFLAGS)" \
 	./configure \
 	--host=$(DEB_HOST_GNU_TYPE) \
