## pekwm 0.1.18

=== debian/changelog ===
pekwm (0.1.18-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * debian/control: bumped Standards-Version to 4.5.1.
  * debian/patches/:
      - {30-reproducible-build*, 40-spelling*, 50_fix-FTBFS*}: dropped.
        Merged in upstream new release.
      - Refreshed remaining patches.
      - Renamed remaining patches from 10-menu* 20-use* 60_fix* and 70_shebang*
        to 10_menu*, 20_use*, 30_fix* and 40_shebang* to form a sequence.
  * debian/rules:
      - Changed ./configure [parameters] to use dh_auto_configure --
        [parameters] in override_dh_auto_configure.
      - Explicitly pass sed path to configure to fix reproducible build
        on merged-usr vs non-merged systems. Thanks to Andreas Henriksson
        <andreas@fatal.se>. (Closes: #915845)
      - Removed redundant configure parameters.

 -- Carlos Henrique Lima Melara <charlesmelara@outlook.com>  Thu, 17 Dec 2020 17:47:30 -0300

pekwm (0.1.17-4) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #920090)
  * Using new DH level format. Therefore:
    - debian/compat: removed.
    - debian/control: changed from 'debhelper' to 'debhelper-compat' in
      Build-Depends field and bumped level to 13.
  * Ran wrap-and-sort.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.5.0.
      - Improved and reorganized the long description.
      - Removed autotools-dev from Build-Depends. Already a dependency of
        debhelper-compat.
      - Updated Homepage field.
      - Updated Vcs-* fields to point to Salsa.
  * debian/copyright:
      - Removed X-* fields.
      - Reorganized upstream copyright declaration.
      - Updated and reorganized packging copyright field.
      - Updated upstream contact and source information.
  * debian/patches/:
      - 50_fix-FTBFS-with-gcc-10.patch: cherry-picked from upstream to fix a
        FTBFS bug. (Closes: #957672)
      - 60_fix-typo.patch: created.
      - 70_shebang-policy-compliance.patch: created to conform to debian policy.
  * debian/pekwm.menu: removed. As a .desktop file is present, a .menu must not.
  * debian/rules: removed --as-needed flag as suggested by lintian and also the
    -Wl because it is already present in LDFLAGS.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/source/options: removed. dh_autoreconf* now deals with auto-tools
    files changes and it's not necessary to use extend-diff-ignore.
  * debian/tests/control: created to provide superficial CI tests for the
    package.
  * debian/upstream/metadata: created.
  * debian/watch:
      - Bumped version to 4.
      - Updated regular expression and website address.

 -- Carlos Henrique Lima Melara <charlesmelara@outlook.com>  Sat, 07 Nov 2020 12:26:06 -0300

pekwm (0.1.17-3) unstable; urgency=medium

  * debian/control
    - (Standards-Version): Update to 3.9.8.
    - (Vcs-*): Update to anonscm.debian.org.
  * debian/copyright
    - Update URLs.
  * debian/patches
    - (30): New. Make build reproducible (Closes: 829728).
      Patch thanks to Reiner Herrmann <reiner@reiner-h.de>.
    - (40): New. correct spelling.
  * debian/source/options
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 19 Oct 2016 14:59:30 +0300

pekwm (0.1.17-2) unstable; urgency=low

  * debian/control
    - (Standards-Version): Update to 3.9.6.1.
  * debian/copyright
    - Update years.
  * debian/pekwm.desktop
    - (Keywords): Add.
  * debian/patches
    - (10): Use full path /etc/pekwm/debian-menu (Closes: #779864).
      Patch thanks to <stuart.mclaren@hp.com>

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 06 Mar 2015 10:12:09 +0200
