=== debian/control ===
Source: pekwm
Section: x11
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               libjpeg-dev,
               libpng-dev,
               libx11-dev,
               libxft-dev,
               libxinerama-dev,
               libxpm-dev,
               libxrandr-dev
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/pekwm.git
Vcs-Browser: https://salsa.debian.org/debian/pekwm
Homepage: https://github.com/pekdon/pekwm/

Package: pekwm
Architecture: any
Depends: menu, x11-utils, ${misc:Depends}, ${shlibs:Depends}
Suggests: zenity
Provides: x-window-manager
Description: very light window manager
 Pekwm is a window manager that once up on a time was based on the aewm++ window
 manager, but it has evolved enough that it no longer resembles aewm++ at all.
 It has a much expanded feature-set, including window grouping (similar to ion,
 pwm, or fluxbox), autoproperties, xinerama, keygrabber that supports keychains,
 and much more.
 .
 Some of its characteristics are:
   * Lightweight and Unobtrusive, a window manager shouldn't be noticed.
   * Very configurable, everyone work and think in different ways.
   * Automatic properties, for all the lazy people, make things appear as they
     should when starting applications.
   * Chainable Keygrabber, usability for everyone.
