=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS	= hardening=+all
export DEB_CFLAGS_MAINT_APPEND	= -Wall -pedantic

override_dh_auto_configure:
	CXXFLAGS="$(CFLAGS) $(CPPFLAGS)" \
	LDFLAGS="$(LDFLAGS)" \
	SED=/bin/sed \
	dh_auto_configure -- \
	--enable-shape \
	--enable-xinerama \
	--enable-xrandr \
	--enable-xft \
	--enable-image-xpm \
	--enable-image-jpeg \
	--enable-image-png

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/pekwm

	# Change permissions on start file
	chmod +x debian/pekwm/etc/pekwm/start

	# Manually install contrib README files to resolve name conflicts
	install --mode=644 -D contrib/lobo/README \
		debian/pekwm/usr/share/doc/pekwm/README.contrib.lobo

%:
	dh $@
