=== debian/tests/control ===
Test-Command: pekwm --help
Restrictions: superficial

Test-Command: pekwm --version
Restrictions: superficial

Test-Command: pekwm --info
Restrictions: superficial
