=== debian/watch ===
version=4
https://github.com/pekdon/pekwm/releases \
    .*/archive/release?\-?@ANY_VERSION@@ARCHIVE_EXT@
